it.csi.mddtools.guigen

## Interface SecurityModel

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface SecurityModel
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Security Model'. Caratteristiche di sicurezza dell'applicazione

  The following features are supported:

  - `Autentication Method`
  - `Actors`
  - `Use Cases`
  - `Security App ID`
  - `Roles`
  - `User Info Logout Action`
  - `Ask For Confirmation On Logout`
  See Also:
    `GuigenPackage.getSecurityModel()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<Actor>` | `getActors()` Returns the value of the 'Actors' containment reference list.
    `AutenticationMethod` | `getAutenticationMethod()` Returns the value of the 'Autentication Method' containment reference
    `org.eclipse.emf.common.util.EList<Role>` | `getRoles()` Returns the value of the 'Roles' containment reference list.
    `java.lang.String` | `getSecurityAppID()` Returns the value of the 'Security App ID' attribute
    `org.eclipse.emf.common.util.EList<UseCase>` | `getUseCases()` Returns the value of the 'Use Cases' containment reference list.
    `LogoutActionTypes` | `getUserInfoLogoutAction()` Returns the value of the 'User Info Logout Action' attribute.
    `boolean` | `isAskForConfirmationOnLogout()` Returns the value of the 'Ask For Confirmation On Logout' attribute
    `void` | `setAskForConfirmationOnLogout(boolean value)` Sets the value of the '`Ask For Confirmation On Logout`' attribute
    `void` | `setAutenticationMethod(AutenticationMethod value)` Sets the value of the '`Autentication Method`' containment reference
    `void` | `setSecurityAppID(java.lang.String value)` Sets the value of the '`Security App ID`' attribute
    `void` | `setUserInfoLogoutAction(LogoutActionTypes value)` Sets the value of the '`User Info Logout Action`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getAutenticationMethod

          AutenticationMethod getAutenticationMethod()

      Returns the value of the 'Autentication Method' containment reference.

      If the meaning of the 'Autentication Method' containment reference isn't clear, there really should be more of a description here...

      Specifica la modalità di autenticazione prevista per l'applicazione
      Returns:
        the value of the 'Autentication Method' containment reference.
      See Also:
        `setAutenticationMethod(AutenticationMethod)`, `GuigenPackage.getSecurityModel_AutenticationMethod()`

    - #### setAutenticationMethod

          void setAutenticationMethod(AutenticationMethod value)

      Sets the value of the '`Autentication Method`' containment reference.
      Parameters:
        `value` - the new value of the 'Autentication Method' containment reference.
      See Also:
        `getAutenticationMethod()`

    - #### getActors

          org.eclipse.emf.common.util.EList<Actor> getActors()

      Returns the value of the 'Actors' containment reference list. The list contents are of type `Actor`.

      If the meaning of the 'Actors' containment reference list isn't clear, there really should be more of a description here...

      Elenco degli Actor dell'applicazione (secondo la terminologia di IRIDE2)
      Returns:
        the value of the 'Actors' containment reference list.
      See Also:
        `GuigenPackage.getSecurityModel_Actors()`

    - #### getUseCases

          org.eclipse.emf.common.util.EList<UseCase> getUseCases()

      Returns the value of the 'Use Cases' containment reference list. The list contents are of type `UseCase`.

      If the meaning of the 'Use Cases' containment reference list isn't clear, there really should be more of a description here...

      Elenco degli UseCase dell'applicazione (secondo la terminologia di IRIDE2)
      Returns:
        the value of the 'Use Cases' containment reference list.
      See Also:
        `GuigenPackage.getSecurityModel_UseCases()`

    - #### getSecurityAppID

          java.lang.String getSecurityAppID()

      Returns the value of the 'Security App ID' attribute.

      If the meaning of the 'Security App ID' attribute isn't clear, there really should be more of a description here...

      Codice identificativo dell'applicazione, come censito in IRIDE2
      Returns:
        the value of the 'Security App ID' attribute.
      See Also:
        `setSecurityAppID(String)`, `GuigenPackage.getSecurityModel_SecurityAppID()`

    - #### setSecurityAppID

          void setSecurityAppID(java.lang.String value)

      Sets the value of the '`Security App ID`' attribute.
      Parameters:
        `value` - the new value of the 'Security App ID' attribute.
      See Also:
        `getSecurityAppID()`

    - #### getRoles

          org.eclipse.emf.common.util.EList<Role> getRoles()

      Returns the value of the 'Roles' containment reference list. The list contents are of type `Role`.

      If the meaning of the 'Roles' containment reference list isn't clear, there really should be more of a description here...

      Elenco dei Role dell'applicazione (secondo la terminologia di IRIDE2)
      Returns:
        the value of the 'Roles' containment reference list.
      See Also:
        `GuigenPackage.getSecurityModel_Roles()`

    - #### getUserInfoLogoutAction

          LogoutActionTypes getUserInfoLogoutAction()

      Returns the value of the 'User Info Logout Action' attribute. The default value is `"LOCAL_LOGOUT"`. The literals are from the enumeration `LogoutActionTypes`.

      If the meaning of the 'User Info Logout Action' attribute isn't clear, there really should be more of a description here...

      Azione che viene associata al link esci presente sullo UserInfoPanel.
      Returns:
        the value of the 'User Info Logout Action' attribute.
      See Also:
        `LogoutActionTypes`, `setUserInfoLogoutAction(LogoutActionTypes)`, `GuigenPackage.getSecurityModel_UserInfoLogoutAction()`

    - #### setUserInfoLogoutAction

          void setUserInfoLogoutAction(LogoutActionTypes value)

      Sets the value of the '`User Info Logout Action`' attribute.
      Parameters:
        `value` - the new value of the 'User Info Logout Action' attribute.
      See Also:
        `LogoutActionTypes`, `getUserInfoLogoutAction()`

    - #### isAskForConfirmationOnLogout

          boolean isAskForConfirmationOnLogout()

      Returns the value of the 'Ask For Confirmation On Logout' attribute. Se impostata a true all'azione di logout viene chiesta conferma all'utente.
      Returns:
        the value of the 'Ask For Confirmation On Logout' attribute.
      See Also:
        `setAskForConfirmationOnLogout(boolean)`, `GuigenPackage.getSecurityModel_AskForConfirmationOnLogout()`

    - #### setAskForConfirmationOnLogout

          void setAskForConfirmationOnLogout(boolean value)

      Sets the value of the '`Ask For Confirmation On Logout`' attribute.
      Parameters:
        `value` - the new value of the 'Ask For Confirmation On Logout' attribute.
      See Also:
        `isAskForConfirmationOnLogout()`